<?php include_once("../lib/control.seguridad.php"); ?>
<?php

	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>INGRESAR</button>";
	
	$id = 0;
	$fecha = date("d-m-Y");
	$irrenunciable = 0;	
	$descripcion = "";	
	
    if($_POST){

		$hide = "";
		$url = 'http://200.24.13.60/~program1/power-time-api/public/obtenerferiado';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"], 'api_token'=> 'lEkujNtWXOCCsOhRBIRON8I8wWZVhHGm5JylqMZC'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);


		$id = $array[0]->id;
		$fecha = date("d-m-Y", strtotime($array[0]->fecha));	
		$irrenunciable = $array[0]->irrenunciable;
		$descripcion = $array[0]->descripcion;		
		
		curl_close($ch); 

		$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEditar' name='btnEditar'>EDITAR</button>";
	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  <style>

  </style>  
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Feriados</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
				  <div class="form-group input-group-sm">
					<label>Fecha :</label>
					<input type="text" class="form-control" id="txtFecha" value="<?php echo $fecha ?>" readonly>
					<small class="form-text text-muted">Fecha de Feriado.</small>
				  </div>
				  <div class="form-group input-group-sm">
					<label>Descripci&oacute;n :</label>
					<input type="text" class="form-control control-text" id="txtDescripcion" value="<?php echo $descripcion ?>" maxlength="50" >
					<small class="form-text text-muted">Nombre / Descripci&oacute;n de feriado .</small>
				  </div>	
                  <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="checkbox" class="custom-control-input" id="chkIrrenunciable"  <?php if($irrenunciable > 0){ echo "checked"; } ?> >
                      <label class="custom-control-label" for="chkIrrenunciable">Feriado Irrenunciable</label>
                    </div>
                  </div>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<?php echo $boton ?>
					<input type="hidden" class="form-control control-text" id="txtId" value="<?php echo $id ?>" readonly>						
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>
  



	
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script src="../plugins/toastr/toastr.js"></script>

<link rel="stylesheet" href="../plugins/jQueryUI/jquery-ui.css" />
<script src="../plugins/jQueryUI/jquery-ui.js"></script>


<script>

  $(function () {
	  
    $(document).bind("contextmenu",function(e){
      return false;
    });	  

    $('#txtDescripcion').keyup(function(){
        $(this).val($(this).val().toUpperCase());
    });			  
	  
	 $.datepicker.regional['es'] = {
	 closeText: 'Cerrar',
	 prevText: '< Ant',
	 nextText: 'Sig >',
	 currentText: 'Hoy',
	 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
	 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
	 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
	 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
	 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
	 weekHeader: 'Sm',
	 dateFormat: 'dd/mm/yy',
	 firstDay: 1,
	 isRTL: false,
	 showMonthAfterYear: false,
	 yearSuffix: ''
	 };
	 $.datepicker.setDefaults($.datepicker.regional['es']);
	 $("#txtFecha").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
	 });	
	  
	$(".control-text").bind('keypress', function(event) {
	  var regex = new RegExp("^[a-zA-Z 0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	  
	  
	$("#btnEnviar").click(function(){
        if( $("#txtDescripcion").val() == null || $("#txtDescripcion").val().length == 0 || /^\s+$/.test($("#txtDescripcion").val()) ){
			toastr.warning("Debe ingresar Nombre / Descripci&oacute;n Feriado", "POWERTIME");
            return false;
		}		
        else{
			var irrenunciable = 0;
			if( $('#chkIrrenunciable').is(':checked') ) {
				irrenunciable = 1;
			}						
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "http://200.24.13.60/~program1/power-time-api/public/ingresarferiado",
				data : JSON.stringify({
					id:$("#txtId").val(),
					fecha:convertDateFormat($("#txtFecha").val()),
					descripcion:$("#txtDescripcion").val(),
					irrenunciable:irrenunciable			
				}),
				success: function(data, textStatus, xhr) {
					if(parseInt(xhr.status) == 201){
						toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					}
				}
			})			
		}

		
	});

	$("#btnEditar").click(function(){
        if( $("#txtDescripcion").val() == null || $("#txtDescripcion").val().length == 0 || /^\s+$/.test($("#txtDescripcion").val()) ){
			toastr.warning("Debe ingresar Nombre / Descripci&oacute;n Feriado", "POWERTIME");
            return false;
		}		
        else{
			var irrenunciable = 0;
			if( $('#chkIrrenunciable').is(':checked') ) {
				irrenunciable = 1;
			}			
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "http://200.24.13.60/~program1/power-time-api/public/actualizarferiado",
				data : JSON.stringify({
					id:$("#txtId").val(),
					fecha:convertDateFormat($("#txtFecha").val()),
					descripcion:$("#txtDescripcion").val(),
					irrenunciable:irrenunciable						
				}),
				success: function(data, textStatus, xhr) {
					if(parseInt(xhr.status) == 201){
						toastr.success("Registro Editado Exitosamente", "POWERTIME");
					}
				}
			})			
		}		
	});	



	function convertDateFormat(string) {
        var info = string.split('-').reverse().join('-').split('-');
        return info[0]+"-"+info[1]+"-"+info[2];
    }		

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtId").val(0);
		$("#txtFecha").val(fechaActual());	
		$("#txtDescripcion").val("");
        $("#chkIrrenunciable").attr("checked",true);		
	}
	
	function fechaActual(){
		var fecha = new Date();
		var dia = fecha.getDate();
		var mes = fecha.getMonth();
		var anio = fecha.getFullYear();		
		if(dia < 10) { dia = "0"+dia; } 
		if(mes < 10) { mes = "0"+mes; }
        return anio+"-"+mes+"-"+dia;  		
	}	
	
});	 	
  
</script>

</body>
</html>
